> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook Config

> Update webhook configuration for the tenant.



## OpenAPI

````yaml put /tenant/webhook-config
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /tenant/webhook-config:
    put:
      tags:
        - tenant
      summary: Update Webhook Config
      description: Update webhook configuration for the tenant.
      operationId: update_webhook_config_tenant_webhook_config_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookConfigUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Tenant'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookConfigUpdate:
      properties:
        webhookUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhookurl
        webhookEnabled:
          type: boolean
          title: Webhookenabled
          default: false
        webhookSubscriptions:
          items:
            type: string
          type: array
          title: Webhooksubscriptions
          default: []
      type: object
      title: WebhookConfigUpdate
      description: Update webhook configuration for a tenant.
    Tenant:
      properties:
        name:
          type: string
          title: Name
        subDomain:
          type: string
          title: Subdomain
        clinicType:
          $ref: '#/components/schemas/ClinicType'
          default: DEFAULT
        providerDeactivatedPages:
          items:
            type: string
          type: array
          title: Providerdeactivatedpages
        patientDeactivatedPages:
          items:
            type: string
          type: array
          title: Patientdeactivatedpages
        enabledModules:
          items:
            $ref: '#/components/schemas/Module'
          type: array
          title: Enabledmodules
        homePage:
          type: string
          title: Homepage
        passFeeToPatient:
          type: boolean
          title: Passfeetopatient
        paymentProcessor:
          type: string
          title: Paymentprocessor
        activatedChargeMethods:
          items:
            type: string
          type: array
          title: Activatedchargemethods
        phoneNumber:
          type: string
          title: Phonenumber
        logoUrl:
          type: string
          title: Logourl
        successfulPaymentText:
          type: string
          title: Successfulpaymenttext
        campaign:
          type: string
          title: Campaign
        enterpriseTenant:
          anyOf:
            - type: string
            - type: 'null'
          title: Enterprisetenant
        manualInvoiceText:
          type: string
          title: Manualinvoicetext
        practiceTypeCode:
          anyOf:
            - type: integer
            - type: 'null'
          title: Practicetypecode
        slogan:
          anyOf:
            - type: string
            - type: 'null'
          title: Slogan
        replyToEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Replytoemail
        ccEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Ccemail
        defaultTimezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Defaulttimezone
        hidePatientPaymentPlans:
          type: boolean
          title: Hidepatientpaymentplans
          default: false
        coloredMail:
          type: boolean
          title: Coloredmail
          default: false
        requiredPatientFields:
          items:
            type: string
          type: array
          title: Requiredpatientfields
          default: []
        enabledCommunicationMethods:
          items:
            $ref: '#/components/schemas/CommunicationMethod'
          type: array
          title: Enabledcommunicationmethods
          default: []
        enabledInvoiceMethods:
          items:
            $ref: '#/components/schemas/InvoiceMethod'
          type: array
          title: Enabledinvoicemethods
          default:
            - EMAIL
            - SMS
            - CHARGE_CARD
        maxInvoicesPerDay:
          type: integer
          title: Maxinvoicesperday
          default: 100
        invoicingStartTime:
          type: integer
          title: Invoicingstarttime
          default: 9
        invoicingEndTime:
          type: integer
          title: Invoicingendtime
          default: 17
        invoicingOnWeekends:
          type: boolean
          title: Invoicingonweekends
          default: false
        invoicingExcludesHolidays:
          type: boolean
          title: Invoicingexcludesholidays
          default: false
        maxInvoicesPerMinute:
          type: integer
          title: Maxinvoicesperminute
          default: 10
        sendReceiptText:
          type: string
          title: Sendreceipttext
        autoRespondToSms:
          type: boolean
          title: Autorespondtosms
          default: false
        generateResponseOnSms:
          type: boolean
          title: Generateresponseonsms
          default: false
        billAutomatically:
          type: boolean
          title: Billautomatically
          default: false
        smsProvider:
          $ref: '#/components/schemas/SmsProvider'
        selfSchedulingRedirectUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Selfschedulingredirecturl
        allowMultipleBookingsForDifferentAppointments:
          type: boolean
          title: Allowmultiplebookingsfordifferentappointments
          default: false
        allowMultipleSelfScheduleAppointments:
          type: boolean
          title: Allowmultipleselfscheduleappointments
          default: false
        daysUntilPatientBecomesNew:
          anyOf:
            - type: integer
            - type: 'null'
          title: Daysuntilpatientbecomesnew
        authTimeoutMs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Authtimeoutms
        introductoryText:
          anyOf:
            - type: string
            - type: 'null'
          title: Introductorytext
        optOutMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Optoutmessage
        helpMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Helpmessage
        apiKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Apikey
        gcalEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Gcalemail
        gcalToken:
          anyOf:
            - type: string
            - type: 'null'
          title: Gcaltoken
        gcalRefreshToken:
          anyOf:
            - type: string
            - type: 'null'
          title: Gcalrefreshtoken
        auditSmsResponse:
          type: boolean
          title: Auditsmsresponse
          default: false
        itemSortType:
          $ref: '#/components/schemas/ItemSortType'
          default: USAGE
        reservationCancellationSmsTemplate:
          anyOf:
            - type: string
            - type: 'null'
          title: Reservationcancellationsmstemplate
        automaticallySendReceipts:
          type: boolean
          title: Automaticallysendreceipts
          default: true
        defaultReceiptCommunicationMethod:
          $ref: '#/components/schemas/CommunicationMethod'
          default: SMS
        receiptLogoUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Receiptlogourl
        duplicatePatientFields:
          items:
            type: string
          type: array
          title: Duplicatepatientfields
          default:
            - first_name
            - last_name
            - phone_number
        googleTagManagerId:
          anyOf:
            - type: string
            - type: 'null'
          title: Googletagmanagerid
      type: object
      required:
        - name
        - subDomain
        - providerDeactivatedPages
        - patientDeactivatedPages
        - enabledModules
        - homePage
        - passFeeToPatient
        - paymentProcessor
        - activatedChargeMethods
        - phoneNumber
        - logoUrl
        - successfulPaymentText
        - campaign
        - enterpriseTenant
        - manualInvoiceText
        - sendReceiptText
        - smsProvider
      title: Tenant
      description: The configuration for each of the clients of Decoda.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClinicType:
      type: string
      enum:
        - DEFAULT
        - WEIGHT_LOSS
        - MED_SPA
      title: ClinicType
    Module:
      type: string
      enum:
        - TEXTING
        - CALLING
        - PAYMENTS
        - SCRIBE
        - SCHEDULING
        - FORMS
        - INVENTORY
        - LOCATIONS
        - CALENDAR_PATIENT_STATUS
        - SPAKINECT
        - SCRIBE_MEDICAL_CODES
      title: Module
    CommunicationMethod:
      type: string
      enum:
        - SMS
        - MAIL
        - CALL
        - COLLECTIONS
        - EMAIL
        - SMS_AND_EMAIL
      title: CommunicationMethod
    InvoiceMethod:
      type: string
      enum:
        - CHARGE_CARD
        - SMS
        - EMAIL
        - CALL
        - MAIL
        - EXPIRY
      title: InvoiceMethod
      description: The method used to send an invoice to a patient.
    SmsProvider:
      type: string
      enum:
        - SIGNALWIRE
        - SENDO
      title: SmsProvider
    ItemSortType:
      type: string
      enum:
        - CATEGORY
        - USAGE
        - DEFINED_ORDER
        - NAME
        - PRICE
      title: ItemSortType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````